#include "drvmodel.h"
#include "skyinst.h"

int im2dvertex_scrVertex = offsetof(RwIm2DVertex, u.els.scrVertex);
int im2dvertex_camVertex_z = offsetof(RwIm2DVertex, u.els.camVertex_z);
int im2dvertex_u = offsetof(RwIm2DVertex, u.els.u);
int im2dvertex_v = offsetof(RwIm2DVertex, u.els.v);
int im2dvertex_recipZ = offsetof(RwIm2DVertex, u.els.recipZ);
int im2dvertex_color = offsetof(RwIm2DVertex, u.els.color);
int im2dvertex_normal = offsetof(RwIm2DVertex, u.els.objNormal);
int im2dvertex_sizeof = sizeof(RwIm2DVertex);

int vu1DataBlockHigh = VU1DATABLOCKHIGH;
int vu1DataBlockLow = VU1DATABLOCKLOW;
int vu1WaterMark_vu1trans = VU1WATERMARK_VU1TRANS;
int vu1WaterMark_vu1trans1 = VU1WATERMARK_VU1TRANS1;
int vu1WaterMark_vu1trans2 = VU1WATERMARK_VU1TRANS2;
int vu1_vu1trans_hbufsize = VU1_VU1TRANS_HBUFSIZE;
int vu1_vu1transts_hbufsize = VU1_VU1TRANSTS_HBUFSIZE;
int vu1WaterMark_vu1transl = VU1WATERMARK_VU1TRANSL;
int vu1WaterMark_vu1transts = VU1WATERMARK_VU1TRANSTS;
int vu1WaterMark_vu1transts1 = VU1WATERMARK_VU1TRANSTS;
int vu1LightOffset = VU1LIGHTOFFSET;
int vertexSize = VERTEXSIZE;

int vu1WaterMark_vu1translmap = VU1WATERMARK_VU1TRANSLMAP;
int vu1translmapgif = VU1TRANSLMAPGIF;
#ifdef VU1TRANSLMAPSTATEMAIN
int vu1translmapstatemain = VU1TRANSLMAPSTATEMAIN;
int vu1translmapstatemap = VU1TRANSLMAPSTATEMAP;
#endif

int vu1WaterMark_vu1transtsmap = VU1WATERMARK_VU1TRANSTSMAP;
int vu1transtsmapgif = VU1TRANSTSMAPGIF;
#ifdef VU1TRANSTSMAPSTATEMAIN
int vu1transtsmapstatemain = VU1TRANSTSMAPSTATEMAIN;
int vu1transtsmapstatemap = VU1TRANSTSMAPSTATEMAP;
#endif
